html,
body {
    height: 100%;
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 70px 15px 20px;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view td {
    white-space: nowrap;
}

.grid-view .filters input,
.grid-view .filters select {
    min-width: 50px;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    border: none;
    display:block;
    width: 100%;
    text-align: left;
    padding: 3px 20px;
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    color: #262626;
    text-decoration: none;
    background: #f5f5f5;
}

.nav .btn:hover {
    color: #262626;
    text-decoration: none;
    background: #f5f5f5 !important;
    border-radius: 0;
}



.flow-income, .flow-expenses {
    font-weight: 600;
}

.flow-income, .positive-balance {
    color: #007900;
}

.flow-expenses, .negative-balance {
    color: #D20001;
}

.form-extra-line {
    display: flex;
    justify-content: space-between;
}

.cash-flow-index h3{
    margin: 10px 0;
}

.cash-flow-form {
    display: block;
}

.modal-body .cash-flow-form {
    display: inline-block;
}

.equipment-view {
    width: 200px;
    height: 200px;
    overflow: hidden;
}

.equipment-view img {
    height: 200px;
}


@media (min-width: 320px) {
    .cash-flow-form h1,
    .cash-flow-index h1 {
        font-size: 30px;
        line-height: 0.8;
    }

    .cash-flow-index h1 small {
        font-size: 60%;
    }

    .cash-flow-index .total-line {
        display: flex;
        justify-content: space-between;
        align-items: center;
        padding: 5px 0;
        border-top: 1px solid #ddddcd;
        border-bottom: 1px solid #ddddcd;
        font-weight: bold;
    }

    .cash-flow-index .total-line .total {
        text-align: right;
        width: 80px;
    }

    .cash-flow-form-wrapper input {
        width: 100%;
    }

    .btn-submit {
        width: 100%;
        padding: 10px;
        font-size: 18px;
    }

    .mobile-date {
        -webkit-appearance: none;
        line-height: 1.33333 !important;
    }

    .cash-flow-item,
    .cash-account-item {
        width: 100%;
        display: flex;
        align-items: center;
        padding: 10px 0 5px 0;
    }

    .cash-account-item {
        padding: 10px;
        justify-content: space-between;
    }

    .cash-flow-comment {
        border-bottom: 1px solid #ddddcd;
        padding-left: 50px;
        padding-bottom: 5px;
        font-size: 12px;
        color: #525252;
    }

    .cash-flow-item.even,
    .cash-flow-comment.even,
    .cash-account-item.even {
        background-color: #f9f9f9;
    }

    .cash-flow-item .cash-flow-date {
        flex-basis: 40px;
        text-align: left;
        font-size: 12px;
        color: #525252;
    }

    .cash-flow-item .cash-flow-item-name {
        flex-grow: 1;
        padding: 0 10px;
        font-size: 16px;
    }

    .cash-flow-item .cash-flow-total,
    .cash-flow-item .cash-flow-price {
        flex-basis: 80px;
        text-align: right;
    }

    .mobile-buttons-wrapper {
        display: none;
        position: fixed;
        right: 10px;
        bottom: 70px;
        width: 60px;
        height: 195px;
    }

    .mobile-buttons-wrapper .btn {
        width: 60px;
        height: 60px;
        border-radius: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
        margin-bottom: 5px;
        box-shadow: 0px 4px 9px 2px rgba(0,0,0,0.4);
    }

    .add-mobile-button {
        position: fixed;
        right: 10px;
        bottom: 10px;
        width: 60px;
        height: 60px;
        border-radius: 30px;
        display: flex;
        align-items: center;
        justify-content: center;
        box-shadow: 0px 4px 9px 2px rgba(0,0,0,0.4);
    }

    .cash-flow-index-mobile .add-button-wrapper a{
        width: 100%;
        margin: 20px 0;
    }
}

@media (min-width: 992px) {
    .cash-flow-form h1,
    .cash-flow-index h1 {
        font-size: 36px;
        line-height: 1.1;
    }
    .cash-flow-index h1 small{
        font-size: 65%;
    }
    .btn-submit {
        width: auto;
        padding: 6px 12px;
        font-size: 14px;
    }
}